package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussMerchantProfit implements Serializable {
    private Integer id;

    private Integer userid;

    private String type;

    private BigDecimal price;

    private String ordernumber;

    private String merchantcode;

    private String merchantname;

    private Double consumefee;

    private Date createdt;

    private Date orderdt;

    private String status;

    private String paytypecode;

    private String paytypename;

    private String merchantlogo;

    private Integer level;

    private Integer merchantparentid;

    private String merchantparentname;

    private String merchantparentlogo;

    private String phone;

    private String username;

    private String merchantparentlevel;

    private String merchantparentphone;

    private Integer profitrate;

    private Integer agentstaffid;

    private Date recorddate;

    private String recordmonth;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getOrdernumber() {
        return ordernumber;
    }

    public void setOrdernumber(String ordernumber) {
        this.ordernumber = ordernumber == null ? null : ordernumber.trim();
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public Double getConsumefee() {
        return consumefee;
    }

    public void setConsumefee(Double consumefee) {
        this.consumefee = consumefee;
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public Date getOrderdt() {
        return orderdt;
    }

    public void setOrderdt(Date orderdt) {
        this.orderdt = orderdt;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getPaytypecode() {
        return paytypecode;
    }

    public void setPaytypecode(String paytypecode) {
        this.paytypecode = paytypecode == null ? null : paytypecode.trim();
    }

    public String getPaytypename() {
        return paytypename;
    }

    public void setPaytypename(String paytypename) {
        this.paytypename = paytypename == null ? null : paytypename.trim();
    }

    public String getMerchantlogo() {
        return merchantlogo;
    }

    public void setMerchantlogo(String merchantlogo) {
        this.merchantlogo = merchantlogo == null ? null : merchantlogo.trim();
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getMerchantparentid() {
        return merchantparentid;
    }

    public void setMerchantparentid(Integer merchantparentid) {
        this.merchantparentid = merchantparentid;
    }

    public String getMerchantparentname() {
        return merchantparentname;
    }

    public void setMerchantparentname(String merchantparentname) {
        this.merchantparentname = merchantparentname == null ? null : merchantparentname.trim();
    }

    public String getMerchantparentlogo() {
        return merchantparentlogo;
    }

    public void setMerchantparentlogo(String merchantparentlogo) {
        this.merchantparentlogo = merchantparentlogo == null ? null : merchantparentlogo.trim();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username == null ? null : username.trim();
    }

    public String getMerchantparentlevel() {
        return merchantparentlevel;
    }

    public void setMerchantparentlevel(String merchantparentlevel) {
        this.merchantparentlevel = merchantparentlevel == null ? null : merchantparentlevel.trim();
    }

    public String getMerchantparentphone() {
        return merchantparentphone;
    }

    public void setMerchantparentphone(String merchantparentphone) {
        this.merchantparentphone = merchantparentphone == null ? null : merchantparentphone.trim();
    }

    public Integer getProfitrate() {
        return profitrate;
    }

    public void setProfitrate(Integer profitrate) {
        this.profitrate = profitrate;
    }

    public Integer getAgentstaffid() {
        return agentstaffid;
    }

    public void setAgentstaffid(Integer agentstaffid) {
        this.agentstaffid = agentstaffid;
    }

    public Date getRecorddate() {
        return recorddate;
    }

    public void setRecorddate(Date recorddate) {
        this.recorddate = recorddate;
    }

    public String getRecordmonth() {
        return recordmonth;
    }

    public void setRecordmonth(String recordmonth) {
        this.recordmonth = recordmonth == null ? null : recordmonth.trim();
    }
}